Skala
Stock quantities

Update a stock quantity

Partially updates specific fields of an existing stock quantity without affecting the rest of the data.

PATCH
/api/stock_quantities/{id}

Partially updates specific fields of an existing stock quantity without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockQuantity identifier

Request Body

application/merge-patch+json

The updated StockQuantity resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/stock_quantities/string" \  -H "Content-Type: application/merge-patch+json" \  -d ''
{
  "id": 0,
  "amount": "string",
  "expectedAmount": "string",
  "committedAmount": "string",
  "missingAmount": "string",
  "valueInStock": "string",
  "location": {
    "id": 0,
    "name": "string"
  },
  "stockVariant": {
    "id": 0,
    "stock": {
      "id": 0,
      "category": {
        "id": 0,
        "name": "string"
      },
      "unit": {
        "id": 0,
        "name": "string"
      },
      "supplier": {
        "id": 0,
        "name": "string"
      },
      "type": "string",
      "tax": {
        "id": 0,
        "rate": "string",
        "name": "string"
      },
      "currency": {
        "id": 0,
        "name": "string",
        "code": "string",
        "symbol": "string"
      },
      "isMaking": true,
      "isBuying": true,
      "trackType": "string",
      "buyingUnit": {
        "id": 0,
        "name": "string"
      },
      "unitConversion": 1
    },
    "averageCost": "string",
    "valueInStock": "string",
    "alertLevel": "string",
    "code": "string",
    "name": "string",
    "defaultPrice": "string",
    "price": "string",
    "materialCost": "string",
    "operationCost": "string",
    "totalCost": "string",
    "salePrice": "string",
    "internalBarcode": "string",
    "registeredBarcode": "string",
    "supplierBarcode": "string"
  },
  "usableAmount": "string",
  "averageCost": "string",
  "normalizedValueInStock": "string",
  "status": "string",
  "replenishmentDate": "2019-08-24T14:15:22Z",
  "replenishment_quantity": "string",
  "alertLevel": "string",
  "alertBelowDate": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty